> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get convertible bonds



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Tradable/GetConvertibleBonds
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Tradable/GetConvertibleBonds:
    post:
      tags:
        - Tradable
      summary: Get convertible bonds
      operationId: GetConvertibleBonds
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetConvertibleBondsRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetConvertibleBondsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetConvertibleBondsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetConvertibleBondsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetConvertibleBondsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetConvertibleBondsRequest:
      example:
        identifiers:
          - code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
          - code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.ApiGetConvertibleBondsRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetConvertibleBondsResponse:
      example:
        convertible_bonds:
          - value:
              puttable_conversion_condition:
                dates:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                notionals:
                  - 8.762042012749001
                  - 8.762042012749001
              asset_currency: asset_currency
              callable_conversion_condition:
                is_make_whole: true
                convert_on_call: true
                dates:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                notionals:
                  - 2.3021358869347655
                  - 2.3021358869347655
                num_consecutive_trading_days: 9
                triggers:
                  - 3.616076749251911
                  - 3.616076749251911
                num_days_above_trigger: 7
              asset_identifier:
                code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              conversion_condition:
                cash_on_conversions:
                  - 1.2315135367772556
                  - 1.2315135367772556
                dates:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                triggers:
                  - 7.386281948385884
                  - 7.386281948385884
                conversion_ratios:
                  - 4.145608029883936
                  - 4.145608029883936
              dividend_protection_conversion_condition:
                is_cash_threshold: true
                threshold: 1.1730742509559433
                type: pass_through
              dilution_conversion_condition:
                issued_shares: 6
                issued_amount: 7.457744773683766
              mandatory_conversion_condition:
                put_ratio: 9.965781217890562
                call_ratio: 5.025004791520295
              is_exchangeable: true
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - value:
              puttable_conversion_condition:
                dates:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                notionals:
                  - 8.762042012749001
                  - 8.762042012749001
              asset_currency: asset_currency
              callable_conversion_condition:
                is_make_whole: true
                convert_on_call: true
                dates:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                notionals:
                  - 2.3021358869347655
                  - 2.3021358869347655
                num_consecutive_trading_days: 9
                triggers:
                  - 3.616076749251911
                  - 3.616076749251911
                num_days_above_trigger: 7
              asset_identifier:
                code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              conversion_condition:
                cash_on_conversions:
                  - 1.2315135367772556
                  - 1.2315135367772556
                dates:
                  - '2000-01-23T04:56:07.000+00:00'
                  - '2000-01-23T04:56:07.000+00:00'
                triggers:
                  - 7.386281948385884
                  - 7.386281948385884
                conversion_ratios:
                  - 4.145608029883936
                  - 4.145608029883936
              dividend_protection_conversion_condition:
                is_cash_threshold: true
                threshold: 1.1730742509559433
                type: pass_through
              dilution_conversion_condition:
                issued_shares: 6
                issued_amount: 7.457744773683766
              mandatory_conversion_condition:
                put_ratio: 9.965781217890562
                call_ratio: 5.025004791520295
              is_exchangeable: true
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        convertible_bonds:
          items:
            $ref: >-
              #/components/schemas/InstrumentIdentifierConvertibleBondKeyValuePair
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.ApiGetConvertibleBondsResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifierConvertibleBondKeyValuePair:
      example:
        value:
          puttable_conversion_condition:
            dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            notionals:
              - 8.762042012749001
              - 8.762042012749001
          asset_currency: asset_currency
          callable_conversion_condition:
            is_make_whole: true
            convert_on_call: true
            dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            notionals:
              - 2.3021358869347655
              - 2.3021358869347655
            num_consecutive_trading_days: 9
            triggers:
              - 3.616076749251911
              - 3.616076749251911
            num_days_above_trigger: 7
          asset_identifier:
            code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
          conversion_condition:
            cash_on_conversions:
              - 1.2315135367772556
              - 1.2315135367772556
            dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            triggers:
              - 7.386281948385884
              - 7.386281948385884
            conversion_ratios:
              - 4.145608029883936
              - 4.145608029883936
          dividend_protection_conversion_condition:
            is_cash_threshold: true
            threshold: 1.1730742509559433
            type: pass_through
          dilution_conversion_condition:
            issued_shares: 6
            issued_amount: 7.457744773683766
          mandatory_conversion_condition:
            put_ratio: 9.965781217890562
            call_ratio: 5.025004791520295
          is_exchangeable: true
        key:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        key:
          $ref: '#/components/schemas/InstrumentIdentifier'
        value:
          $ref: '#/components/schemas/ConvertibleBond'
      type: object
    ConvertibleBond:
      example:
        puttable_conversion_condition:
          dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          notionals:
            - 8.762042012749001
            - 8.762042012749001
        asset_currency: asset_currency
        callable_conversion_condition:
          is_make_whole: true
          convert_on_call: true
          dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          notionals:
            - 2.3021358869347655
            - 2.3021358869347655
          num_consecutive_trading_days: 9
          triggers:
            - 3.616076749251911
            - 3.616076749251911
          num_days_above_trigger: 7
        asset_identifier:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        conversion_condition:
          cash_on_conversions:
            - 1.2315135367772556
            - 1.2315135367772556
          dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          triggers:
            - 7.386281948385884
            - 7.386281948385884
          conversion_ratios:
            - 4.145608029883936
            - 4.145608029883936
        dividend_protection_conversion_condition:
          is_cash_threshold: true
          threshold: 1.1730742509559433
          type: pass_through
        dilution_conversion_condition:
          issued_shares: 6
          issued_amount: 7.457744773683766
        mandatory_conversion_condition:
          put_ratio: 9.965781217890562
          call_ratio: 5.025004791520295
        is_exchangeable: true
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        bond_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        par_value:
          format: double
          nullable: true
          type: number
        issuer:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        dated_date:
          format: date-time
          type: string
        first_coupon_date:
          format: date-time
          type: string
        penultimate_coupon_date:
          format: date-time
          type: string
        maturity_date:
          format: date-time
          type: string
        roll_date:
          format: date-time
          type: string
        end_to_end:
          type: boolean
        business_day_convention:
          enum:
            - actual
            - following
            - modified_following
            - preceding
            - modified_preceding
          type: string
        bond_coupon_frequency:
          enum:
            - zero_coupon
            - annual
            - semi_annual
            - quarterly
            - monthly
            - at_maturity
            - every182_days
            - not_set
          type: string
        bond_coupon_type:
          enum:
            - fixed
            - variable
            - not_set
          type: string
        bond_day_count_convention:
          enum:
            - actual_actual_icma
            - actual365
            - actual360
            - actual_actual_isda
            - actual_actual_afb
            - thirty360
            - thirty_e360
            - thirty_e360_isda
            - n_l365
            - actual364
            - not_set
          type: string
        settlement_lag:
          format: int32
          type: integer
        coupon_rate:
          format: double
          type: number
        calendar:
          nullable: true
          type: string
        next_coupon_index:
          format: int32
          nullable: true
          type: integer
        bond_capitalisation_provision:
          $ref: '#/components/schemas/BondCapitalisationProvision'
        bond_extension_provision:
          $ref: '#/components/schemas/BondExtensionProvision'
        bond_call_provision:
          $ref: '#/components/schemas/BondCallProvision'
        bond_put_provision:
          $ref: '#/components/schemas/BondPutProvision'
        bond_coupons:
          items:
            $ref: '#/components/schemas/BondCoupon'
          nullable: true
          type: array
        redemption_rate:
          format: double
          nullable: true
          type: number
        debt_type:
          enum:
            - senior
            - super_senior
            - other
            - subordinated
            - junior_subordinated
            - preference_shares
            - senior_loss_absorbing
          type: string
        asset_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        asset_currency:
          nullable: true
          type: string
        conversion_condition:
          $ref: '#/components/schemas/ConversionCondition'
        dilution_conversion_condition:
          $ref: '#/components/schemas/DilutionConversionCondition'
        callable_conversion_condition:
          $ref: '#/components/schemas/CallableConversionCondition'
        puttable_conversion_condition:
          $ref: '#/components/schemas/PuttableConversionCondition'
        mandatory_conversion_condition:
          $ref: '#/components/schemas/MandatoryConversionCondition'
        dividend_protection_conversion_condition:
          $ref: '#/components/schemas/DividendProtectionConversionCondition'
        is_exchangeable:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.ConvertibleBond, Derivitec.Web.Core
      required:
        - $type
      type: object
    BondCapitalisationProvision:
      example:
        capitalisation_rates:
          - 2.027123023002322
          - 2.027123023002322
        capitalisation_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
      properties:
        capitalisation_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        capitalisation_rates:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.BondCapitalisationProvision,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BondExtensionProvision:
      example:
        extended_maturity_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        extended_redemption_values:
          - 4.965218492984954
          - 4.965218492984954
        extension_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        issuer_extension:
          - true
          - true
      properties:
        extension_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        extended_maturity_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        extended_redemption_values:
          items:
            format: double
            type: number
          nullable: true
          type: array
        issuer_extension:
          items:
            type: boolean
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.BondExtensionProvision,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BondCallProvision:
      required:
        - $type
      type: object
      properties:
        dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        redemption_values:
          items:
            format: double
            type: number
          nullable: true
          type: array
        exercise_style:
          enum:
            - european
            - american
            - bermudan
            - not_set
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.BondCallProvision,
              Derivitec.Web.Core
    BondPutProvision:
      required:
        - $type
      type: object
      properties:
        dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        redemption_values:
          items:
            format: double
            type: number
          nullable: true
          type: array
        exercise_style:
          enum:
            - european
            - american
            - bermudan
            - not_set
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.BondPutProvision, Derivitec.Web.Core
    BondCoupon:
      example:
        coup_type: fixed
        coupon_leg_start_date: '2000-01-23T04:56:07.000+00:00'
        coupon_index_id: coupon_index_id
        coupon_cap: 5.637376656633329
        index_multiplier: 1.4658129805029452
        coupon_leg_first_coupon_date: '2000-01-23T04:56:07.000+00:00'
        coupon_leg_penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
        coupon_floor: 5.962133916683182
        fixed_coupon_rate: 0.8008281904610115
        coupon_leg_end_date: '2000-01-23T04:56:07.000+00:00'
        coup_frequency: zero_coupon
        index_fixing_lag: 6
      properties:
        coupon_leg_start_date:
          format: date-time
          type: string
        coupon_leg_end_date:
          format: date-time
          type: string
        coupon_leg_first_coupon_date:
          format: date-time
          type: string
        coupon_leg_penultimate_coupon_date:
          format: date-time
          type: string
        coup_type:
          enum:
            - fixed
            - variable
            - not_set
          type: string
        coup_frequency:
          enum:
            - zero_coupon
            - annual
            - semi_annual
            - quarterly
            - monthly
            - at_maturity
            - every182_days
            - not_set
          type: string
        fixed_coupon_rate:
          format: double
          type: number
        coupon_index_id:
          nullable: true
          type: string
        index_fixing_lag:
          format: int32
          type: integer
        index_multiplier:
          format: double
          type: number
        coupon_floor:
          format: double
          type: number
        coupon_cap:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.BondCoupon, Derivitec.Web.Core
      required:
        - $type
      type: object
    ConversionCondition:
      example:
        cash_on_conversions:
          - 1.2315135367772556
          - 1.2315135367772556
        dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        triggers:
          - 7.386281948385884
          - 7.386281948385884
        conversion_ratios:
          - 4.145608029883936
          - 4.145608029883936
      properties:
        dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        conversion_ratios:
          items:
            format: double
            type: number
          nullable: true
          type: array
        triggers:
          items:
            format: double
            type: number
          nullable: true
          type: array
        cash_on_conversions:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.ConversionCondition,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DilutionConversionCondition:
      example:
        issued_shares: 6
        issued_amount: 7.457744773683766
      properties:
        issued_shares:
          format: int32
          type: integer
        issued_amount:
          format: double
          type: number
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.DilutionConversionCondition,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CallableConversionCondition:
      example:
        is_make_whole: true
        convert_on_call: true
        dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        notionals:
          - 2.3021358869347655
          - 2.3021358869347655
        num_consecutive_trading_days: 9
        triggers:
          - 3.616076749251911
          - 3.616076749251911
        num_days_above_trigger: 7
      properties:
        is_make_whole:
          type: boolean
        convert_on_call:
          type: boolean
        dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        notionals:
          items:
            format: double
            type: number
          nullable: true
          type: array
        num_days_above_trigger:
          format: int32
          type: integer
        num_consecutive_trading_days:
          format: int32
          type: integer
        triggers:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.CallableConversionCondition,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    PuttableConversionCondition:
      example:
        dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        notionals:
          - 8.762042012749001
          - 8.762042012749001
      properties:
        dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        notionals:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.PuttableConversionCondition,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    MandatoryConversionCondition:
      example:
        put_ratio: 9.965781217890562
        call_ratio: 5.025004791520295
      properties:
        call_ratio:
          format: double
          type: number
        put_ratio:
          format: double
          type: number
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.MandatoryConversionCondition,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    DividendProtectionConversionCondition:
      example:
        is_cash_threshold: true
        threshold: 1.1730742509559433
        type: pass_through
      properties:
        threshold:
          format: double
          type: number
        type:
          enum:
            - pass_through
            - conversion_ratio_adjustment
          type: string
        is_cash_threshold:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.DividendProtectionConversionCondition,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````